#version 330 core
out vec4 FragColor;

in vec3 normal;

uniform vec3 baseColor;
uniform float time;

void main()
{
    vec3 col = vec3(sin(time/2000.0), 0.0, 1.0-sin(time/2000.0));
    FragColor = vec4(col, 1.0);
}